A list of port state control entries.
Sources for this description
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.171.11.9.1.2.2
A list of port state control entries.
Identification
{1 3 6 1 4 1 171 11 9 1 2 2}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
swPortCtrlTable OBJECT-TYPE
SYNTAX SEQUENCE OF SwPortCtrlEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"A list of port state control entries."
::= { swPortPackage 2 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
A list of port state control entries.
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: swPortCtrlTable
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"swPortCtrlTable",
"OBJECT-TYPE",
"SYNTAX",
"SEQUENCE",
"OF",
"SwPortCtrlEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"A list of port state control entries.\"",
"::=",
"{",
"swPortPackage",
"2",
"}"
],
"syntax_tree": [
[
"conceptualTable",
[
"row",
"SwPortCtrlEntry"
]
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"A list of port state control entries."
],
null,
null,
null,
null
]
}Module: DES3216-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'TimeTicks', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Related source files and packages:
Same file in 5200_MIB.zip.
Module: DES5016-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'TimeTicks', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Related source files and packages:
Vendor MIB copy from the Observium Community archive. D-Link support.
Module: DES3216-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'TimeTicks', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Related source files and packages:
Vendor MIB copy from the Observium Community archive. D-Link support.
Module: DES5016-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'TimeTicks', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.9.1.2.2.1 | swPortCtrlEntry | 10 | 10 |
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.9.1.2.1 | swPortInfoTable | 1 | 9 | |
| 1.3.6.1.4.1.171.11.9.1.2.3 | swPortCounterTable | 1 | 24 | |
| 1.3.6.1.4.1.171.11.9.1.2.4 | swSlotInfoTable | 1 | 4 |